{
  "name": "react-movies-js",
  "version": "0.1.0",
  "private": true,
  "dependencies": {
    "@reduxjs/toolkit": "^1.5.1",
    "@testing-library/jest-dom": "^5.11.4",
    "@testing-library/react": "^11.1.0",
    "@testing-library/user-event": "^12.1.10",
    "connected-react-router": "^6.9.1",
    "jest-junit": "^12.0.0",
    "query-string": "^7.0.0",
    "react": "^17.0.1",
    "react-datetime": "^3.0.4",
    "react-dom": "^17.0.1",
    "react-redux": "^7.2.3",
    "react-router-dom": "^5.2.0",
    "react-scripts": "4.0.0",
    "styled-components": "^5.2.3"
  },
  "devDependencies": {
    "@stryker-mutator/core": "^4.1.2",
    "@stryker-mutator/jest-runner": "^4.1.2",
    "cypress": "^6.8.0",
    "cypress-cucumber-preprocessor": "^4.0.3",
    "eslint-plugin-cypress": "^2.11.2",
    "eslint-plugin-prettier": "^3.3.1",
    "husky": "4.3.8",
    "prettier": "^2.2.1"
  },
  "scripts": {
    "start": "react-scripts start",
    "build": "react-scripts build",
    "test": "react-scripts test --coverage --reporters='jest-junit' --coverageDirectory='results/' --watchAll=false",
    "test:watch": "react-scripts test --watch",
    "lint": "eslint --ext .js,.jsx src/",
    "cy:open": "cypress open",
    "cy:run": "cypress run"
  },
  "husky": {
    "hooks": {
      "pre-commit": "prettier --write . && git add -A .",
      "pre-push": "git diff HEAD --quiet && npm test"
    }
  },
  "cypress-cucumber-preprocessor": {
    "nonGlobalStepDefinitions": true
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  }
}
